package rition.backend.api.v1.dto.response;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.Instant;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AlertResponse {
    /**
     * id
     */
    private Long id;

    /**
     * 出现警告的实例id
     */
    private String instanceId;

    /**
     * 触发的规则
     */
    private Long rule;

    /**
     * 触发时的数值
     */
    private Double value;

    /**
     * 警告出现的时间
     */
    private Long time;
}
